var is = require("../src/vows-is.js");

var suite = is.suite("testing is fun").batch()

    .context("is testing fun?")
        .topic.is("yes")
        .vow.it.should.equal("yes")
        .suite()

.batch()

    .context("z")
        .topic.is("z")
        .vow.it.should.equal("z")
        .context("z-sub")
            .topic.is("z-sub")
            .vow.it.should.equal("z-sub")
        .suite()

.batch()

    .context ("c")
        .topic.is("c")
        .vow.it.should.equal("c")
        .context("c-sub")
            .topic.is("c-sub")
            .vow.it.should.equal("c-sub")
            .context("c-sub-sub")
                .topic.is("c-sub-sub")
                .vow.it.should.equal("c-sub-sub")
                .parent()
            .parent()
        .parent()
    
    .context("a")
        .topic.is("a")
        .vow.it.should.equal("a")
        .context("a-sub")
            .topic.is("a-sub")
            .vow.it.should.equal("a-sub")
        .suite();

if (module.parent) {
    suite["export"](module);
} else {
    suite.run({
        reporter: is.reporter
    }, function() {
        is.end();   
    });
}